| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | List of all members
Digikam::ClockPhotoDialog Class Reference
Inheritance diagram for Digikam::ClockPhotoDialog:

## Public Member Functions
| ClockPhotoDialog (QWidget *const parent, const QUrl &defaultUrl)
DeltaTime | deltaValues () const
bool | setImage (const QUrl &)
| Try to load the photo specified by the QUrl, and set the datetime widget to the photo time.

## Protected Member Functions
void | showEvent (QShowEvent *) override

## Member Function Documentation

## ◆ setImage()

bool Digikam::ClockPhotoDialog::setImage | ( | const QUrl & | imageFile | ) |

Return true on success, or false if either the photo cannot be read or the datetime information can't be read.